summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2017-05-17 09:19:18 +0200
committerMichał Górny <mgorny@gentoo.org>2017-05-17 09:21:16 +0200
commitf8bcae9900c10cb17942a162bef087b107b750a6 (patch)
tree4772d3d07745237d223173ba33c44c51e643b02d /xfce-extra/xfce4-cpufreq-plugin
parentapp-emulation/winetricks: version bump, 20170517 (diff)
downloadgentoo-f8bcae9900c10cb17942a162bef087b107b750a6.tar.gz
gentoo-f8bcae9900c10cb17942a162bef087b107b750a6.tar.bz2
gentoo-f8bcae9900c10cb17942a162bef087b107b750a6.zip
xfce-extra/xfce4-cpufreq-plugin: Bump to 1.1.90 (GTK+3 version)
Diffstat (limited to 'xfce-extra/xfce4-cpufreq-plugin')
-rw-r--r--xfce-extra/xfce4-cpufreq-plugin/Manifest1
-rw-r--r--xfce-extra/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-1.1.90.ebuild28
2 files changed, 29 insertions, 0 deletions
diff --git a/xfce-extra/xfce4-cpufreq-plugin/Manifest b/xfce-extra/xfce4-cpufreq-plugin/Manifest
index 69707a06c9a..713427cb689 100644
--- a/xfce-extra/xfce4-cpufreq-plugin/Manifest
+++ b/xfce-extra/xfce4-cpufreq-plugin/Manifest
@@ -1 +1,2 @@
DIST xfce4-cpufreq-plugin-1.1.3.tar.bz2 369419 SHA256 74a162c7e101db0495d5da147aba1f404c33544f04e8c34d7d1d705668102d33 SHA512 fe67abc120c0715b653258abbafab19386289ce0a373e5053e544484219c3b05aafe1e84a23721f6603043db5aac24dc1230f2e7d4974ec483d5120aca11ca25 WHIRLPOOL 15b637c013f57ab8b08db2701eb228c5cee03a0b616be89d229464fed32e885aa3410b1a6a25ad414d1d632c10e88dcf4c6029dc22b836276f1dbd25e92cc3e4
+DIST xfce4-cpufreq-plugin-1.1.90.tar.bz2 366569 SHA256 dd4ae6aa6cc15be4d280d790f412daab832a00840632ef486b63c42dd1f14daa SHA512 23a70603181c69c25fd55d523f29526b88252203f087132f271cf47376d5d04c5b81615d2aba4c2641c886497323d88301ca0a285b9c0894b0051e913cc9a70e WHIRLPOOL eddab6df9490068d1a02e601c17e5fc0257317e070444a4f7818161dea57589eaa233600cf8272f1d5a2966d51fbf6d2e102fadff60ef20db8167e1f2a6d6279
diff --git a/xfce-extra/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-1.1.90.ebuild b/xfce-extra/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-1.1.90.ebuild
new file mode 100644
index 00000000000..aad09d18ef0
--- /dev/null
+++ b/xfce-extra/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-1.1.90.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A panel plugin for showing information about cpufreq settings"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin"
+SRC_URI="mirror://xfce/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND=">=dev-libs/glib-2.20:=
+ >=x11-libs/gtk+-3.20:3=
+ >=xfce-base/libxfce4ui-4.12:=[gtk3(+)]
+ >=xfce-base/xfce4-panel-4.12:="
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+src_install() {
+ default
+
+ find "${D}" -name '*.la' -delete || die
+}